commit:     eb96865a42afc6c26bfc26623fa92714296c65bd
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Nov  8 12:55:10 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Nov  8 12:55:10 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=eb96865a

dev-build/steve: Install integration files

Install tmpfiles.d & systemd unit, as well as sandbox.d configuration.
Print recommended Portage setup.

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-build/steve/steve-9999.ebuild | 31 ++++++++++++++++++++++++++++++-
 1 file changed, 30 insertions(+), 1 deletion(-)

diff --git a/dev-build/steve/steve-9999.ebuild 
b/dev-build/steve/steve-9999.ebuild
index ca5fba66cbfe..8f198e992654 100644
--- a/dev-build/steve/steve-9999.ebuild
+++ b/dev-build/steve/steve-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=8
 DISTUTILS_USE_PEP517=flit
 PYTHON_COMPAT=( python3_{11..14} )
 
-inherit distutils-r1 git-r3
+inherit distutils-r1 git-r3 systemd tmpfiles
 
 DESCRIPTION="A simple jobserver for Gentoo"
 HOMEPAGE="https://gitweb.gentoo.org/proj/steve.git/";
@@ -14,3 +14,32 @@ EGIT_REPO_URI="https://anongit.gentoo.org/git/proj/steve.git";
 
 LICENSE="GPL-2+"
 SLOT="0"
+
+python_install_all() {
+       default
+
+       systemd_dounit data/steve.service
+       newtmpfiles data/steve.tmpfiles steve.conf
+       insinto /etc/sandbox.d
+       newins data/sandbox.conf 90steve
+}
+
+pkg_postinst() {
+       tmpfiles_process steve.conf
+
+       if ! grep -q -s -R -- --jobserver-auth "${EROOT}"/etc/portage/make.conf
+       then
+               elog "In order to use system-wide steve instance, enable the 
service:"
+               elog
+               elog "  systemctl enable steve"
+               elog "  systemctl start steve"
+               elog
+               elog "Then add to your make.conf:"
+               elog
+               elog '  
MAKEFLAGS="--jobserver-auth=fifo:/run/portage/jobserver"'
+               elog '  NINJAOPTS=""'
+               elog
+               elog "You can use -l in NINJAOPTS but *do not* use -j, as it 
disables"
+               elog "job server support."
+       fi
+}

Reply via email to